<script setup lang="ts">
const roomId = ref('')
const joinRoom = async (event: Event) => {
  await navigateTo('/rooms/' + roomId.value);
}
</script>

<template>
  <div class="container">
    <form>
      <label for="roomId">ROOM ID</label>
      <input v-model="roomId" type="text" name="roomId" id="roomId">
      <div class="button-container">
        <button @click.prevent="joinRoom" id="create-room-button">GO TO ROOM</button>
      </div>
    </form>
  </div>
</template>

<style scoped>
.container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

form {
  border: 2px white solid;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  padding: 1rem;
  justify-content: space-between;
  gap: 1rem;
  min-width: fit-content;
}

.button-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

button {
  all: unset;
  background-color: blue;
  padding: 1rem;
  text-align: center;
  border-radius: 8px;
}

button:hover {
  cursor: pointer;
}
input {
  all: unset;
  font-size:large;
  max-width: 100%;
  border: 1px white solid;
  padding: .5rem;
  border-radius: 8px;
}
</style>